class WitchSkinMod extends GameMod
	config(Mods);
    var bool brellaquipped;

event OnModLoaded()
{
  HookActorSpawn(class'Hat_Player', 'Hat_Player');
  GiveItem(true);
  brellaquipped = false;
}

function GiveItem(bool b)
{
    if (b)
    {
        Hat_PlayerController(GetALocalPlayerController()).GetLoadout().AddBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Collectible_Skin_WitchSkin'), true);
        Hat_PlayerController(GetALocalPlayerController()).GetLoadout().AddBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Weapon_Broom'), true);

    }
    else
    {
        Hat_PlayerController(GetALocalPlayerController()).GetLoadout().RemoveBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Collectible_Skin_WitchSkin'));
        Hat_PlayerController(GetALocalPlayerController()).GetLoadout().RemoveBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Weapon_Broom'));


    }
}

event OnModUnloaded()
{
  GiveItem(false);
}

event OnHookedActorSpawn(Object NewActor, Name Identifier)
{
    if (Identifier == 'Hat_Player') GiveItem(true);
}

event Tick(float d)
{
    Super.Tick(d);
    if (class<Hat_Collectible_Skin_WitchSkin>(Hat_PlayerController(GetALocalPlayerController()).GetLoadout().MyLoadout.Skin.BackpackClass) != None) {
        if (!brellaquipped) {
            Hat_PlayerController(GetALocalPlayerController()).GetLoadout().AddBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Weapon_Broom'), true);
            brellaquipped = true;
        }
    } else {
        if (brellaquipped) {
            Hat_PlayerController(GetALocalPlayerController()).GetLoadout().AddBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Weapon_Umbrella'), true);
            Hat_PlayerController(GetALocalPlayerController()).GetLoadout().RemoveBackpack(class'Hat_Loadout'.static.MakeLoadoutItem(class'Hat_Weapon_Broom'));
            brellaquipped = false;
        }
    }
}
